Bug 244505 - [INFORMATION] Upgrading from FC6 to F7 via yum
[INFORMATION] Upgrading from FC6 to F7 via yum
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Karsten Wade
Paul W. Frields
Depends On:
  Show dependency treegraph
Reported: 2007-06-16 06:21 EDT by Răzvan Sandu
Modified: 2013-01-09 23:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-10 22:37:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Răzvan Sandu 2007-06-16 06:21:03 EDT
Description of problem:


I've experimented about upgrading an x86_64 machine running FC6 to F7 via yum,
not via CD. 

Here are the result of the experiment. ;-)
I don't know if the steps I've followed are correct, nor I specifically
recommend this procedure to anyone. I am posting this here only hoping to be of
help to the Fedora community, by drawing attention on the packages that seem to
have problems during upgrade.

The steps are:

1. I've took an x86_64 machine and performed a clean install of FC6 from DVD,
marking all packages that are available during install.

2. I did FC6 online updates, as of June 16, 2007.

3. From an official Fedora 7 repository, I've downloaded and installed
fedora-release-notes, via rpm.

4. I've forced the erasure of fedora-release package on the box
rpm -e --nodeps fedora-release

5. I've changed directory to /etc/yum.repos.d and erased all file inside it

6. From the same Fedora 7 repository, I've installed the new fedora-release package
rpm -Uvh fedora-release

7. I've customised the new .repo files in /etc/yum.repos.d in order to use
geographically close F7 mirrors (actually, a local private mirror).

8. Did the following:
yum clean all
yum -y --obsoletes upgrade

9. The following packages interrupted upgrade during the "resolve dependencies"
phase (probably broken dependencies):


10. I've completely removed pidgin and installed the new nash and mkinitrd (and
their automatic dependencies). Then I've resumed upgrade:
yum -y --obsoletes install mkinitrd nash
yum -y --obsoletes upgrade

11. The dependencies were aparently OK, but I've got errors (conflicting files)
immediately before the install packages phase, from the following packages:


12. I've manually installed device-mapper-libs

13. Manually removed mysql.i386 and then installed mysql and mysql-libs
rpm -e --nodeps mysql.i386
yum -y --obsoletes install mysql mysql-libs

14. I've manually removed totem.i386 and esound.i386, then resumed the upgrade
rpm -e --nodeps esound.i386
rpm -e --nodeps totem.i386
yum -y --obsoletes upgrade

15. From that point, the rest of the upgraded perdormed smoothly, in automatic.
db4.i386 and db4.x86_64 were automatically included as "updating for
dependencies", while other 111 packages were marked as "installing for

16. Checked that /boot/grub/grub.conf will boot the latest kernel

17.Did a:
touch /.autorelabel; reboot

18. Reinstalled pidgin
yum -y --obsoletes install pidgin

19. Installed a few pieces of software that I noted that are present and started
by default in F7: setroubleshoot, setroubleshoot-server, smolt.

What I apparently obtained is a fully functional installation of F7. No flaws
detected until now.

Comment 1 Bill Nottingham 2007-06-17 23:54:41 EDT
This is probably best redirected to the docs product somehow.

Note You need to log in before you can comment on or make changes to this bug.